New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

"pip install pip==dev" not able to upgrade itself #95

Closed
vbabiy opened this Issue Mar 15, 2011 · 3 comments

Comments

Projects
None yet
1 participant
@vbabiy
Contributor

vbabiy commented Mar 15, 2011

I thought this worked at some point, but now I'm getting an odd error:

(live_env)carljm@spinach:~/meyer/tools.oddbird.net/live$ pip install pip==dev
Downloading/unpacking pip==dev
  Downloading tip.gz (59Kb): 59Kb downloaded
  Running setup.py egg_info for package pip
    warning: no files found matching '*.html' under directory 'docs'
    warning: no previously-included files matching '*.txt' found under directory 'docs/_build'
    no previously-included directories found matching 'docs/_build/_sources'
  Source in /var/www/meyer/tools.oddbird.net/live_env/build/pip has the version 0.5.1, which does not match the requirement pip==dev
Source in /var/www/meyer/tools.oddbird.net/live_env/build/pip has version 0.5.1 that conflicts with pip==dev
Storing complete log in ./pip-log.txt

@vbabiy

This comment has been minimized.

Show comment
Hide comment
@vbabiy

vbabiy Mar 15, 2011

Contributor

This doesn't have to do with upgrading itself, it's true even running pip.py
directly to install pip into a clean virtualenv. pip install pip==dev is just
broken in general, --upgrade makes no difference. Maybe has to do with the
fact the version string no longer includes dev?


Original Comment By: Carl Meyer
Contributor

vbabiy commented Mar 15, 2011

This doesn't have to do with upgrading itself, it's true even running pip.py
directly to install pip into a clean virtualenv. pip install pip==dev is just
broken in general, --upgrade makes no difference. Maybe has to do with the
fact the version string no longer includes dev?


Original Comment By: Carl Meyer
@vbabiy

This comment has been minimized.

Show comment
Hide comment
@vbabiy

vbabiy Mar 15, 2011

Contributor

No, it has to do with the self.comes_from == 'command line' check not
working...


Original Comment By: Carl Meyer
Contributor

vbabiy commented Mar 15, 2011

No, it has to do with the self.comes_from == 'command line' check not
working...


Original Comment By: Carl Meyer
@vbabiy

This comment has been minimized.

Show comment
Hide comment
@vbabiy

vbabiy Mar 15, 2011

Contributor

Ok, maybe I'm crazy, but AFAICT (and based on testing I've just done) pip has
never successfully been able to install anything==dev; at least not on v 0.3,
0.4, 0.5, or current tip. It seems to be a one-line fix, made it here:
http://bitbucket.org/ianb/pip/changeset/24e638167cb8/

Also added a test for installing package==dev.


Original Comment By: Carl Meyer
Contributor

vbabiy commented Mar 15, 2011

Ok, maybe I'm crazy, but AFAICT (and based on testing I've just done) pip has
never successfully been able to install anything==dev; at least not on v 0.3,
0.4, 0.5, or current tip. It seems to be a one-line fix, made it here:
http://bitbucket.org/ianb/pip/changeset/24e638167cb8/

Also added a test for installing package==dev.


Original Comment By: Carl Meyer

This issue was closed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment